# WP Multi 2FA 🔐

Ein leistungsstarkes WordPress-Plugin zur Zwei-Faktor-Authentifizierung (2FA) – mit **Backup-Codes**, **Admin-Erzwingung** und **QR-Code**-Einbindung. Benutzer können 2FA individuell aktivieren, während Administratoren diese Funktion auch global erzwingen können.

## 🔧 Features

- ✅ Zwei-Faktor-Authentifizierung mit TOTP (z. B. Google Authenticator, Authy)
- 🔁 Backup-Codes zum einmaligen Login
- 🧑‍💼 Admin-Erzwingung für alle Benutzerkonten möglich
- 🔑 QR-Code-Generierung zur schnellen Einrichtung
- 🛡️ Sicherheitsabfrage nach Login
- 💬 Benutzerfreundliche Oberfläche in den Profilen
- 📦 Update-Check mit Release-Link über Gitea

## 📦 Installation

1. Lade das Plugin als ZIP herunter oder klone das Repository:
   ```bash
   git clone https://git.viper.ipv64.net/M_Viper/WP-Multi-2FA.git

2. Lade es in dein WordPress-Verzeichnis unter wp-content/plugins/

3. Aktiviere das Plugin im WordPress-Backend unter „Plugins“

## ⚙️ Einrichtung
Benutzerprofil: Aktiviere 2FA individuell pro Benutzerprofil unter „Benutzer > Dein Profil“.

Admin-Einstellungen: Unter „Einstellungen > Allgemein“ kann ein globaler Zwang für alle Benutzer aktiviert werden.

Backup-Codes: Beim Aktivieren werden automatisch zehn Backup-Codes erzeugt, die einmalig verwendet werden können.

QR-Code: Wird beim Aktivieren automatisch erzeugt und kann mit Apps wie Google Authenticator gescannt werden.

## 🔄 Updates
Das Plugin prüft automatisch auf neue Releases und zeigt im WordPress-Dashboard eine Update-Warnung an, wenn eine neue Version auf Gitea verfügbar ist.

👉 Releases ansehen

🧪 Systemvoraussetzungen
WordPress >= 6.7.2

PHP >= 7.2

🔐 Sicherheit
Alle 2FA-Daten werden sicher in der wp_options gespeichert.

Backup-Codes werden beim Verwenden automatisch gelöscht.

Der TOTP-Algorithmus ist vollständig lokal implementiert (keine externen Dienste notwendig).

🤝 Support
💬 Telegram Support

💼 Microsoft Teams Support

🧑‍💻 Autor: M_Viper
🌐 https://m-viper.de
🔗 Plugin Gitea Repo

📜 Lizenz
Dieses Plugin steht unter der GPLv2-Lizenz.
Siehe: https://www.gnu.org/licenses/gpl-2.0.html   


---

### 📌 Hinweise

- Du kannst die Datei direkt als `README.md` in dein Plugin-Repository legen.
- Die Markdown-Datei nutzt gängige GitHub-Standards für Darstellung, Emojis und Links.
- Wenn du auch eine Vorschau des QR-Codes oder Screenshots hinzufügen möchtest, sag Bescheid – ich helfe dir gern beim Format.

Möchtest du noch eine englische Version dazu?

